/*
 * Copyright 2013-2014 Daniel Gerhardt <anp-dev@z.dgerhardt.net> <daniel.gerhardt@mni.thm.de>
 *
 * This file is part of libarsnova-js.
 *
 * libarsnova-js is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
define(
	[
		"dojo/_base/config",
		"dojo/request"
	],
	function (config, request) {
		"use strict";

		var
			self = null,
			configPath = config.arsnovaApi.configPath,
			apiPrefix = null,
			globalConfig = null
		;

		request.get(configPath, {sync: true, handleAs: "json"}).then(function (data) {
			globalConfig = data;
			apiPrefix = globalConfig.apiPath + "/arsnova-config";
		});

		self = {
			get: function () {
				return globalConfig;
			}
		};

		return self;
	}
);
